{ minecraft, ... }:
{
  imports = [
    minecraft.nixosModules.minecraft-servers
    ./servers/velocity
    ./servers/dewdemolisher
    ./servers/johnside
    ./servers/roguecraft
    #./servers/blockworld
    #./servers/uberbeta
  ];

  nixpkgs.overlays = [ minecraft.overlay ];

  services.minecraft-servers = {
    enable = config.system.server.enable;
    eula = true;
  };
}
